List webhook endpoints
GET
/webhooks
const url = 'https://api.invogi.com/v1/webhooks';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.invogi.com/v1/webhooks \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Webhook endpoints
Media typeapplication/json
object
items
required
Array<object>
object
id
required
string
url
required
string format: uri
enabled
required
boolean
events
Array<string>
api_access_enabled
required
True only when webhook management is available under an active Scale or Enterprise subscription
boolean
Example generated
{ "items": [ { "id": "example", "url": "https://example.com", "enabled": true, "events": [ "example" ] } ], "api_access_enabled": true}Missing or invalid API key
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}